import React from 'react';
import { useParams } from 'react-router-dom';
import SampleTracker from '../components/SampleTracker';
import ResultGrid from '../components/ResultGrid';

interface ResultsViewProps {}

const ResultsView: React.FC<ResultsViewProps> = () => {
    // Get the selected beamtime ID from the URL
    const { beamtimeId } = useParams();

    return (
        <div>
            <h1>Results Page</h1>
            <h2>Results for Beamtime ID: {beamtimeId}</h2>

            {/* Use the beamtimeId to filter or query specific results */}
            <SampleTracker activePgroup={`beamtime_${beamtimeId}`} />
            <ResultGrid activePgroup={`beamtime_${beamtimeId}`} />
        </div>
    );
};

export default ResultsView;
